#include "appContext.h"

#include "HttpServer/HttpServer.h"
#include "Track/Track.h"

using namespace std;
//--------------------------------------------------------------
/* Default constructor */
AppContext::AppContext()
{
  // Create an instance of the Track
  m_hTrack = make_unique<Track>();

  // Create an instance of the HTTP server
  m_hServer = make_unique<HttpServer>();
}
//--------------------------------------------------------------
